com.hazelcast.spring

## Class HazelcastConfigBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser
    - - com.hazelcast.spring.HazelcastConfigBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class HazelcastConfigBeanDefinitionParser
      extends AbstractHazelcastBeanDefinitionParser

  BeanDefinitionParser for Hazelcast Config Configuration.

  Sample Spring XML for Hazelcast Config:

         <hz:config>
           <hz:map name="map1">
             <hz:near-cache time-to-live-seconds="0" max-idle-seconds="60"
                  eviction-policy="LRU" max-size="5000"  invalidate-on-change="true"/>

           <hz:map-store enabled="true" class-name="com.foo.DummyStore"
                  write-delay-seconds="0"/>
           </hz:map>
           <hz:map name="map2">
             <hz:map-store enabled="true" implementation="dummyMapStore"
                write-delay-seconds="0"/>
             </hz:map>

           <bean id="dummyMapStore" class="com.foo.DummyStore" />
        </hz:config>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser

      `AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastConfigBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelcastConfigBeanDefinitionParser

          public HazelcastConfigBeanDefinitionParser()

  - ### Method Detail

    - #### parseInternal

          public org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                                org.springframework.beans.factory.xml.ParserContext parserContext)

      Specified by:
        `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

Copyright © 2019. All rights reserved.